import { Options as MinifyOptions } from 'html-minifier';
import { Plugin } from 'rollup';
declare const enum Inject {
    head = "head",
    body = "body"
}
declare const enum InjectType {
    css = "css",
    js = "js"
}
declare enum ExternalPosition {
    before = "before",
    after = "after"
}
declare enum Crossorigin {
    anonymous = "anonymous",
    usecredentials = "use-credentials"
}
interface IExternal {
    crossorigin?: Crossorigin;
    file: string;
    type?: InjectType;
    pos: ExternalPosition;
}
interface IPluginOptions {
    template: string;
    file?: string;
    inject?: false | Inject;
    title?: string;
    favicon?: string;
    meta?: {
        [name: string]: string;
    };
    externals?: IExternal[];
    preload?: string[] | Set<string>;
    modules?: boolean;
    minify?: false | MinifyOptions;
    onlinePath?: string;
}
declare const _default: ({ template, file, inject, title, favicon, meta, externals, preload, modules, minify: minifyOptions, onlinePath, ...options }: IPluginOptions) => Plugin;
export default _default;
